#!/usr/bin/env bash

set -e

# Build static site
zig build

# Build comments app
pushd comments
zig build \
   -Doptimize=ReleaseSafe \
   -Dtarget=aarch64-linux-gnu \
   -Dcpu=baseline
popd

# Copy static site
rsync -rz zig-out/* root@rpi3:/var/www/mfashby.net

# Copy comments app
rsync comments/zig-out/bin/comments root@rpi3:/usr/local/bin/comments
